Skip navigation
MikeyJ
Currently Being Moderated

CFMap using Google Maps API v2 instead of v3?

May 1, 2012 9:40 AM

Hi All,

 

I'm having some trouble as CF10 seems to be using the v2 maps API instead of v3. I see this if I view source:

 


<script type="text/javascript" src="http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=(mykeyhere)"></script>

 

 

 

When I load my map, I get an error saying that Google has disabled my key because it's not valid for the v2 API. Is there a way to change the API version that CF10 is using? According to their docs, the v2 API has been deprecated since May of 2010...

 

Thx!

Mike

 
Replies
  • Currently Being Moderated
    May 2, 2012 5:56 AM   in reply to MikeyJ

    Is there a way to change the API version that CF10 is using?

     

    No.  I don't eman to sound obtuse, but there isn't a way to do that, no.

     

    I recommend not using <cfmap>, and just using the GoogleAPI.  There's not much to it, and it's easy to pick up.

     

    --

    Adam

     
    |
    Mark as:
  • Currently Being Moderated
    May 31, 2012 4:53 AM   in reply to MikeyJ

    We couldn't upgrade CFMap to use V3 API but we are working on it and we will try to make it available soon. However, we have verified that Google Map V2 API works without any issues even though it is deprecated. Could you please try getting a new API key and see if you still get the error?

     

    - Rupesh

    Adobe ColdFusion Team

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points